<template>
    <div class="container">
        <div class="previous">
            <font-awesome-icon
                    class="action-control"
                    @click="previousImage"
                    :icon="['fas', 'chevron-circle-left']"
                    size="lg"
                    v-tooltip.right="{
                      content: 'Previous image',
                      classes: ['info'],
                      delay: {
                        show: 600,
                        hide: 300,
                      },
                    }"/>
        </div>
<!--        <div class="play-pause">-->
<!--            <font-awesome-icon class="action-control" v-if="!isPlaying" @click="isPlaying = true" :icon="['far', 'play-circle']" size="lg"/>-->
<!--            <font-awesome-icon class="action-control" v-if="isPlaying" @click="isPlaying = false" :icon="['far', 'pause-circle']" size="lg"/>-->
<!--        </div>-->
        <div class="next">
            <font-awesome-icon
                    class="action-control"
                    @click="nextImage"
                    :icon="['fas', 'chevron-circle-right']"
                    size="lg"
                    v-tooltip.right="{
                      content: 'Next image',
                      classes: ['info'],
                      delay: {
                        show: 600,
                        hide: 300,
                      },
                    }"/>
        </div>
    </div>
</template>

<script>
    export default {
        name: 'DrawControls',
        props: {
          nextImage: {
            type: Function
          },
          previousImage: {
            type: Function
          }
        },
        data: () => {
          return {
            isPlaying: false
          }
        }
    }

</script>

<style scoped lang="scss">
    .container {
        width: 100%;
        height: 30px;
        /*background-color: green;*/
        display: flex;
        flex-flow: row;
        justify-content: space-evenly;
        align-items: center;
    }
    .play-pause {
        height: 100%;
        margin: auto;
    }
    .action-control:hover {
        color: goldenrod;
    }
    .previous {
        margin-left: 15px;
        cursor: pointer;
    }
    .next {
        margin-right: 15px;
        cursor: pointer;
    }
</style>